SidTuneInfo Class Referenceabstract

`#include <SidTuneInfo.h>`

Inheritance diagram for SidTuneInfo:

## Public Types

enum | clock_t { CLOCK_UNKNOWN , CLOCK_PAL , CLOCK_NTSC , CLOCK_ANY }
enum | model_t { SIDMODEL_UNKNOWN , SIDMODEL_6581 , SIDMODEL_8580 , SIDMODEL_ANY }
enum | compatibility_t { COMPATIBILITY_C64 , COMPATIBILITY_PSID , COMPATIBILITY_R64 , COMPATIBILITY_BASIC }

## Public Member Functions

uint_least16_t | loadAddr () const
uint_least16_t | initAddr () const
uint_least16_t | playAddr () const
unsigned int | songs () const
unsigned int | startSong () const
unsigned int | currentSong () const
Base addresses

The SID chip base address(es) used by the sidtune.

- 0xD400 for the 1st SID
- 0 if the nth SID is not required

uint_least16_t | sidChipBase (unsigned int i) const
int | sidChips () const
int | songSpeed () const
uint_least8_t | relocStartPage () const
uint_least8_t | relocPages () const
SID model
The SID chip model(s) requested by the sidtune.
model_t | sidModel (unsigned int i) const
compatibility_t | compatibility () const
Tune infos

Song title, credits, ...

- 0 = Title
- 1 = Author
- 2 = Released

unsigned int | numberOfInfoStrings () const
| The number of available text info lines.
const char * | infoString (unsigned int i) const
| Text info from the format headers etc.

## Static Public Attributes

static const int | SPEED_VBI = 0
| Vertical-Blanking-Interrupt.
static const int | SPEED_CIA_1A = 60
| CIA 1 Timer A.

## Tune comments

MUS comments.
unsigned int | numberOfCommentStrings () const
| Number of comments.
const char * | commentString (unsigned int i) const
| Used to stash the MUS comment somewhere.
uint_least32_t | dataFileLen () const
uint_least32_t | c64dataLen () const
clock_t | clockSpeed () const
const char * | formatString () const
bool | fixLoad () const
const char * | path () const
const char * | dataFileName () const
const char * | infoFileName () const
| ~SidTuneInfo ()
| Number of comments.

## Detailed Description

This interface is used to get values from SidTune objects.

You must read (i.e. activate) sub-song specific information via: const SidTuneInfo* tuneInfo = SidTune.getInfo(); const SidTuneInfo* tuneInfo = SidTune.getInfo(songNumber);

## Member Enumeration Documentation

## compatibility_t

enum SidTuneInfo::compatibility_t

Enumerator
COMPATIBILITY_C64 | File is C64 compatible.
COMPATIBILITY_PSID | File is PSID specific.
COMPATIBILITY_R64 | File is Real C64 only.
COMPATIBILITY_BASIC | File requires C64 Basic.

## Member Function Documentation

## c64dataLen()

uint_least32_t SidTuneInfo::c64dataLen | ( |  | ) | const

Length of raw C64 data without load address.

## clockSpeed()

SidTuneInfo::clock_t SidTuneInfo::clockSpeed | ( |  | ) | const

The tune clock speed.

## compatibility()

SidTuneInfo::compatibility_t SidTuneInfo::compatibility | ( |  | ) | const

Compatibility requirements.

## currentSong()

unsigned int SidTuneInfo::currentSong | ( |  | ) | const

The tune that has been initialized.

## dataFileLen()

uint_least32_t SidTuneInfo::dataFileLen | ( |  | ) | const

Length of single-file sidtune file.

## dataFileName()

const char * SidTuneInfo::dataFileName | ( |  | ) | const

A first file: e.g. "foo.sid" or "foo.mus".

## fixLoad()

bool SidTuneInfo::fixLoad | ( |  | ) | const

Whether load address might be duplicate.

## formatString()

const char * SidTuneInfo::formatString | ( |  | ) | const

The name of the identified file format.

## infoFileName()

const char * SidTuneInfo::infoFileName | ( |  | ) | const

A second file: e.g. "foo.str". Returns 0 if none.

## initAddr()

uint_least16_t SidTuneInfo::initAddr | ( |  | ) | const

Init Address.

## loadAddr()

uint_least16_t SidTuneInfo::loadAddr | ( |  | ) | const

Load Address.

## path()

const char * SidTuneInfo::path | ( |  | ) | const

Path to sidtune files.

## playAddr()

uint_least16_t SidTuneInfo::playAddr | ( |  | ) | const

Play Address.

## relocPages()

uint_least8_t SidTuneInfo::relocPages | ( |  | ) | const

Number of pages available for relocation.

## relocStartPage()

uint_least8_t SidTuneInfo::relocStartPage | ( |  | ) | const

First available page for relocation.

## sidChipBase()

uint_least16_t SidTuneInfo::sidChipBase | ( | unsigned int | i | ) | const

The number of SID chips required by the tune.

## sidChips()

int SidTuneInfo::sidChips | ( |  | ) | const

The number of SID chips required by the tune.

## sidModel()

SidTuneInfo::model_t SidTuneInfo::sidModel | ( | unsigned int | i | ) | const

Compatibility requirements.

## songs()

unsigned int SidTuneInfo::songs | ( |  | ) | const

The number of songs.

## songSpeed()

int SidTuneInfo::songSpeed | ( |  | ) | const

Intended speed.

## startSong()

unsigned int SidTuneInfo::startSong | ( |  | ) | const

The default starting song.

The documentation for this class was generated from the following files:

- SidTuneInfo.h
- SidTuneInfo.cpp